Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rendsite.resources
Class Messaging

    java.lang.Object
      rendsite.resources.Messaging

    public class Messaging

extends java.lang.Object

Convenience class for deal with messages.

Author:
  erich Version History

       10NOV09 - EPG - First package release.

Constructor Summary
`Messaging(Resources resources)` Construct.

Method Summary
`java.lang.String` | `lookup(java.lang.String key)` Do a safe lookup.
`java.lang.String` | `lookup(java.lang.String key, java.lang.String defaultText)` Do a safe lookup.
`java.lang.String` | `lookupNumeric(int numeric)` Do a safe lookup of a numeric.
`java.lang.String` | `lookupNumeric(java.util.ResourceBundle bundle, int numeric, java.lang.String defaultText)` Do a safe lookup of a numeric.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Messaging

    public Messaging(Resources resources)
              throws java.lang.Throwable

  Construct.

  Parameters:
    `resources` - the system resources.
  Throws:
    `java.lang.Throwable`

Method Detail

### lookup

    public java.lang.String lookup(java.lang.String key)

  Do a safe lookup. If the key isn't found, return null.

  Parameters:
    `key` - the key
  Returns:
    the value or null

### lookup

    public java.lang.String lookup(java.lang.String key,
                                   java.lang.String defaultText)

  Do a safe lookup. If the key isn't found, return the defaultText.

  Parameters:
    `key` - the key
    `defaultText` - the default text
  Returns:
    the value or the default text.

### lookupNumeric

    public java.lang.String lookupNumeric(int numeric)

  Do a safe lookup of a numeric. It will be converted to the 4 digit hexidecimal for a key. This is how the numerics are mapped to messages. If the key isn't found, return null.

  Parameters:
    `numeric` - the numeric key.
  Returns:
    the value or null

### lookupNumeric

    public java.lang.String lookupNumeric(java.util.ResourceBundle bundle,
                                          int numeric,
                                          java.lang.String defaultText)

  Do a safe lookup of a numeric. It will be converted to the 4 digit hexidecimal for a key. This is how the numerics are mapped to messages. If the key isn't found, return defaultText.

  Parameters:
    `bundle` - the resource bundle.
    `numeric` - the numeric key.
    `defaultText` - the default text
  Returns:
    the value or the default text.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

rendsite.